> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easybilling.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice details by id



## OpenAPI

````yaml /billing.openapi.json get /api/invoices/{invoiceId}
openapi: 3.1.0
info:
  title: Billing
  description: |+

  version: 1.0.0
  summary: ''
servers:
  - url: https://sbx.api.easybilling.cloud/billing
    description: SBX
  - url: https://api.easybilling.cloud/billing
    description: Production-AWS
security:
  - token: []
tags:
  - name: account
  - name: payment method
  - name: contract action
  - name: usage event
  - name: billing document
  - name: invoice pdf
  - name: prepaid credits
  - name: customer portal
paths:
  /api/invoices/{invoiceId}:
    get:
      tags:
        - billing document
      summary: Get invoice details by id
      operationId: getInvoiceDetailByInvoiceId
      parameters:
        - name: invoiceId
          in: path
          description: invoice to be searched
          required: true
          example: '{{invoice}}'
          schema:
            type: string
        - name: trace-id
          in: header
          description: ''
          required: false
          example: '{{$string.uuid}}'
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceDetailInfo'
              example:
                id: 25ea86c7-e710-45d4-a580-7c13711a74bb
                number: INV-000000049
                accountId: 9e266c75-aef0-4c67-8a0b-71c917b21a53
                subTotal: 100.03
                discountAmount: -10.01
                amountAfterDiscount: 90.02
                taxAmount: 1.2
                totalAmount: 91.22
                currency: USD
                status: posted
                date: '2026-01-01'
                dueDate: '2026-01-31'
                createdAt: '2026-01-18T07:15:12Z'
                updatedAt: '2026-01-18T15:58:31Z'
                createdBy: f2f873fa-e90b-4e54-b6de-cab8a73259ec
                updatedBy: f2f873fa-e90b-4e54-b6de-cab8a73259ec
                items:
                  - planItemId: 8d73911d-b066-4899-b5ba-aa703fc386ac
                    planItemName: Plan Item_36568989
                    periodStartDate: '2026-01-01'
                    periodEndDate: '2026-02-01'
                    quantity: 1
                    subTotal: 100.03
                    amountAfterDiscount: 90.02
                    totalAmount: 91.22
                    taxAmount: 1.2
                    discountAmount: -10.01
                    skuId: SKU-0
                    createdAt: '2026-01-18T07:15:12Z'
                    updatedAt: '2026-01-18T15:58:31Z'
                    createdBy: f2f873fa-e90b-4e54-b6de-cab8a73259ec
                    updatedBy: f2f873fa-e90b-4e54-b6de-cab8a73259ec
          headers: {}
        '400':
          description: Bad Request
          headers: {}
        '401':
          description: Unauthorized
          headers: {}
        '404':
          description: Not Found
          headers: {}
        '500':
          description: Internal Server Error
          headers: {}
      deprecated: false
      security:
        - token: []
components:
  schemas:
    InvoiceDetailInfo:
      type: object
      properties:
        accountId:
          type: string
        id:
          type: string
        number:
          type: string
        date:
          type: string
          format: date
        dueDate:
          type: string
          format: date
        totalAmount:
          type: number
        subTotal:
          type: number
        taxAmount:
          type: number
        discountAmount:
          type: number
        amountAfterDiscount:
          type: number
        currency:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        createdBy:
          type: string
        updatedBy:
          type: string
        status:
          type: string
          enum:
            - draft
            - posted
            - paid
            - reversed
        invoiceItems:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceItemInfo'
    InvoiceItemInfo:
      type: object
      properties:
        accountId:
          type: string
        invoiceId:
          type: string
        productName:
          type: string
        skuId:
          type: string
        periodStartDate:
          type: string
          format: date
        periodEndDate:
          type: string
          format: date
        quantity:
          type: number
        subTotal:
          type: number
        discountAmount:
          type: number
        amountAfterDiscount:
          type: number
        taxAmount:
          type: number
        totalAmount:
          type: number
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        createdBy:
          type: string
        updatedBy:
          type: string
  securitySchemes:
    token:
      type: http
      scheme: bearer

````